EDIT - bug #8815

Clean up TaxonNodeDto and UuidAndTitleCache usage in TaxonNodeService/Dao

01/17/2020 09:22 AM - Katja Luther

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Kohlbecker % Done: 50%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.14

Severity: normal Found in Version:

Description

In TaxonNodeService and Dao the usage of TaxonNodeDtp and UuidAndTitleCache duplicates some functionality. This should be

cleaned up and check for the usage of the methods in tax editor and vaadin implementations.

Note: AreaAndTaxonSettingsConfigWindow and TaxonNodeContainerin cdm-vaadin need to be adapted accordingly.

Related issues:

Related to EDIT - bug #8892: Taxon search does not work for names without rank Closed
Blocked by EDIT - task #8834: use TaxonNodeDto instead of UuidAndTitleCache Closed

Associated revisions

Revision 9973393 - 01/15/2020 01:43 PM - Katja Luther

cleanup taxonnodeDto - UuidAndTitleCache

Revision b140cc54 - 01/15/2020 01:48 PM - Katja Luther

merge ITaxonNodeService

Revision 8841d740 - 01/15/2020 01:49 PM - Katja Luther

adapted tests for harmonization of taxonnodeDto usage

Revision 57aa10c6 - 01/15/2020 01:50 PM - Katja Luther

followup to cleanup of taxonNodeDto/UuidAndTitleCache usage

Revision 75e3aef5 - 01/17/2020 09:26 AM - Katja Luther

ref #8815: add UuidAndTitleCache methods again in taxonnodeservice

Revision 47c1bab5 - 01/20/2020 09:47 AM - Katja Luther

ref #8815: add UuidAndTitleCache methods again in taxonnodeservice - continue

Revision e756¢d24 - 01/20/2020 12:21 PM - Andreas Miiller

ref #8815 adapt return type for uuidAndTitleCache method in taxonNodeService

Revision 925237ad - 04/02/2020 04:14 PM - Andreas Kohlbecker
ref #8815 reverting return types from UuidAndTitleCache to TaxonNodeDto

Revision ¢2530585 - 04/03/2020 10:53 AM - Andreas Kohlbecker

ref ref #8815 adding condition which was lost during conflict resolution

History

#1 - 01/17/2020 11:15 AM - Andreas Kohlbecker

- Description updated

#2 - 01/28/2020 12:30 PM - Andreas Kohlbecker

- Blocked by task #8834: use TaxonNodeDto instead of UuidAndTitleCache added
#3 - 03/02/2020 01:55 PM - Andreas Miiller

- Status changed from New to In Progress

#4 - 03/02/2020 01:55 PM - Andreas Miiller
- % Done changed from 0 to 30

#5 - 03/10/2020 09:45 AM - Katja Luther

- Target version changed from Release 5.13 to Release 5.14

the blocker is moved to 5.14, this ticket also

#6 - 03/20/2020 03:55 PM - Andreas Kohlbecker

- Related to bug #8892: Taxon search does not work for names without rank added

#7 - 04/02/2020 04:15 PM - Andreas Kohlbecker
- % Done changed from 30 to 50

Hi Katja, | reverted the return types again from UuidAndTitleCache to TaxonNodeDto

Please review.

#8 - 04/08/2020 05:00 PM - Andreas Miiller

- Status changed from In Progress to Resolved

Is this ticket fully fixed and for review?

#9 - 04/08/2020 06:02 PM - Andreas Kohlbecker

Andreas Muller wrote:

Is this ticket fully fixed and for review?

yes, | wrote this already in comment 7

#10 - 04/08/2020 06:11 PM - Katja Luther

- Status changed from Resolved to Closed

this seems to work, as there are no problems in the editor and the code looks fine as well.

#11 - 04/08/2020 06:11 PM - Katja Luther

- Assignee changed from Katja Luther to Andreas Kohlbecker

#12 - 04/08/2020 06:24 PM - Andreas Miiller

Andreas Kohlbecker wrote:
Andreas Muller wrote:

Is this ticket fully fixed and for review?

yes, | wrote this already in comment 7

yes, but status was still on "In Progress". Therefore | asked.
